curl --request POST \
--url https://api.circle.com/v1/w3s/users/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "ext_user_id_1"
}
'import requests
url = "https://api.circle.com/v1/w3s/users/token"
payload = { "userId": "ext_user_id_1" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: 'ext_user_id_1'})
};
fetch('https://api.circle.com/v1/w3s/users/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"userToken": "eyJhbGciOiJS...-F8EFYDYjAxIUw",
"encryptionKey": "7LcOsm4lUAK2Mg...+6fPjr58="
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 404,
"message": "Not found."
}Create a user token
Generate user session and SDK secret key.
Authorizations
Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.
Headers
Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.
A unique identifier, which can be helpful for identifying a request when communicating with Circle support.
"2adba88e-9d63-44bc-b975-9b6ae3440dde"
Body
Request body
Unique system generated identifier for the user.
5 - 50"ext_user_id_1"
Response
Successfully generated a user token.
Show child attributes
Show child attributes
Was this page helpful?